<template>
  <footer>
    <div class="links">
      <RouterLink to="/legal/imprint">Impressum</RouterLink>
      <RouterLink to="/legal/data-protection">Datenschutz</RouterLink>
    </div>
  </footer>
</template>

<style lang="scss" scoped>
@import "!/styles/variables";

footer {
  font-size: 0.85em;
  padding: $spacing-sm $spacing-xxl;
  background-color: fade-out($primary-800, 0.5);

  .links {
    display: flex;
    margin: (-$spacing-md / 2) (-$spacing-lg / 2);

    > a {
      margin: ($spacing-md / 2) ($spacing-lg / 2);

      &:hover,
      &:focus {
        text-decoration: underline;
      }
    }
  }
}
</style>
